Skip to main content
GET
/
v1
/
documents
/
{id}
/
entities
/
tables
/
{index}
curl "https://api.okrapdf.com/v1/documents/doc-abc123/entities/tables/0?format=csv" \
  -H "Authorization: Bearer okra_YOUR_KEY"

Overview

Returns a specific table from the document. Use the format query parameter to choose the output format.
Multiple formats. Use the format query parameter to get the table as json, csv, html, or markdown.

Request

id
string
required
Document ID (e.g. doc-abc123) or 6-char short hash.
index
string
required
0-based table index.
format
string
Output format: json, csv, html, or markdown. Defaults to json.
curl "https://api.okrapdf.com/v1/documents/doc-abc123/entities/tables/0?format=csv" \
  -H "Authorization: Bearer okra_YOUR_KEY"

Response (200)

Response content type varies by format. For json:
{
  "type": "table",
  "value": "| Header 1 | Header 2 |\n|---|---|\n| A | B |"
}